# modules/uip_task_standard/osc_client.h File Reference

## Defines
#define | OSC_CLIENT_NUM_PORTS 4
#define | OSC_CLIENT_NUM_TRANSFER_MODES 5
#define | OSC_CLIENT_TRANSFER_MODE_MIDI 0
#define | OSC_CLIENT_TRANSFER_MODE_INT 1
#define | OSC_CLIENT_TRANSFER_MODE_FLOAT 2
#define | OSC_CLIENT_TRANSFER_MODE_MCMPP 3
#define | OSC_CLIENT_TRANSFER_MODE_TOSC 4
## Functions
s32 | OSC_CLIENT_Init (u32 mode)
s32 | OSC_CLIENT_TransferModeSet (u8 osc_port, u8 mode)
u8 | OSC_CLIENT_TransferModeGet (u8 osc_port)
const char * | OSC_CLIENT_TransferModeFullNameGet (u8 mode)
const char * | OSC_CLIENT_TransferModeShortNameGet (u8 mode)
s32 | OSC_CLIENT_SendMIDIEvent (u8 osc_port, mios32_midi_package_t p)
s32 | OSC_CLIENT_SendNRPNEvent (u8 osc_port, u8 chn, u16 nrpn_number, u16 nrpn_value)
s32 | OSC_CLIENT_SendSysEx (u8 osc_port, u8 *stream, u32 count)
s32 | OSC_CLIENT_SendMIDIEventBundled (u8 osc_port, mios32_midi_package_t *p, u8 num_events, mios32_osc_timetag_t timetag)

## Define Documentation

#define OSC_CLIENT_NUM_PORTS 4

#define OSC_CLIENT_NUM_TRANSFER_MODES 5

#define OSC_CLIENT_TRANSFER_MODE_FLOAT 2

#define OSC_CLIENT_TRANSFER_MODE_INT 1

#define OSC_CLIENT_TRANSFER_MODE_MCMPP 3

#define OSC_CLIENT_TRANSFER_MODE_MIDI 0

#define OSC_CLIENT_TRANSFER_MODE_TOSC 4

## Function Documentation

s32 OSC_CLIENT_Init | ( | u32 | mode | ) |

s32 OSC_CLIENT_SendMIDIEvent | ( | u8 | osc_port,
|  | mios32_midi_package_t | p |
| ) |  |  |

Here is the call graph for this function:

s32 OSC_CLIENT_SendMIDIEventBundled | ( | u8 | osc_port,
|  | mios32_midi_package_t * | p,
|  | u8 | num_events,
|  | mios32_osc_timetag_t | timetag |
| ) |  |  |

Here is the call graph for this function:

s32 OSC_CLIENT_SendNRPNEvent | ( | u8 | osc_port,
|  | u8 | chn,
|  | u16 | nrpn_number,
|  | u16 | nrpn_value |
| ) |  |  |

Here is the call graph for this function:

s32 OSC_CLIENT_SendSysEx | ( | u8 | osc_port,
|  | u8 * | stream,
|  | u32 | count |
| ) |  |  |

Here is the call graph for this function:

const char* OSC_CLIENT_TransferModeFullNameGet | ( | u8 | mode | ) |

u8 OSC_CLIENT_TransferModeGet | ( | u8 | osc_port | ) |

s32 OSC_CLIENT_TransferModeSet | ( | u8 | osc_port,
|  | u8 | mode |
| ) |  |  |

const char* OSC_CLIENT_TransferModeShortNameGet | ( | u8 | mode | ) |